# jschan-docs

API documentation for [jschan](https://gitgud.io/fatchan/jschan/) imageboard software

Browse on gitgud pages: http://fatchan.gitgud.site/jschan-docs/#introduction

### Building

To build and run locally, using docker is the easiest.

Run slate as a server on http://localhost:4567 (for development only!):
```bash
sudo docker run --rm --name slate -p 4567:4567 -v $(pwd)/source:/srv/slate/source slatedocs/slate serve
```

Run slate once and output static files to the public folder:
```bash
sudo docker run --rm --name slate -v $(pwd)/public:/srv/slate/build -v $(pwd)/source:/srv/slate/source slatedocs/slate build
```

Otherwise, refer to the [slate github](https://github.com/slatedocs/slate) for more information.

### Contributing

The API docs are incomplete and need work, so contributions are appreciated.
1. Fork the repo
2. Commit changes to something in the `source` folder
3. Open a pull request
4. If accepted, it will get merged
5. A gitlab pipeline will auto deploy it to gitgud pages, linked above.
